import { InjectionToken } from '@angular/core';
import { YaConfig } from '../interfaces/ya-config';
/**
 * An injection token to specify a configuration.
 *
 * ```ts
 *  NgModule({
 *   providers: [
 *     {
 *       provide: YA_CONFIG,
 *       useValue: {
 *         apikey: null,
 *         lang: 'ru_RU',
 *       },
 *     },
 *   ],
 * })
 * export class AppModule {}
 * ```
 */
export declare const YA_CONFIG: InjectionToken<YaConfig>;
